Subject: [bug#69461] [PATCH mesa-updates v3 00/13] Update vulkan-sdk to 1.3.280.0 and add directx-shader-compiler.

From: John Kehayias <[email-masked]>
Date: Thu, 18 Apr 2024 04:54:34 +0000

Hi Dan,

On Thu, Mar 28, 2024 at 11:54 AM, dan wrote:

> This updated patch series update vulkan packages to 1.3.280.0, which is
> released a few weeks ago.  This patch series also drops the unified version
> number, and each vulkan-sdk package now use their own version number.  What's
> more, the version number is reverted to the old numbering style, dropping the
> prefix from the version number.
>
> I tried to enable tests for vulkan-validationlayers, but it seems the test
> crashed.  I kept the test-enabling code either way.
>
> dan (13):
>   gnu: spirv-headers: Update to 1.3.280.0.
>   gnu: spirv-tools: Update to 1.3.280.0.
>   gnu: glslang: Update to 1.3.280.0.
>   gnu: spirv-cross: Update to 1.3.280.0.
>   gnu: shaderc: Update to 2024.0.
>   gnu: vulkan-headers: Update to 1.3.280.0.
>   gnu: vulkan-loader: Update to 1.3.280.0.
>   gnu: volk: Update to 1.3.280.0.
>   gnu: vulkan-tools: Update to 1.3.280.0.
>   gnu: magic-enum: Update to 0.9.5.
>   gnu: Add vulkan-utility-libraries.
>   gnu: vulkan-validationlayers: Update to 1.3.280.0.
>   gnu: Add directx-shader-compiler.
>
>  gnu/local.mk                                  |   1 -
>  gnu/packages/cpp.scm                          |   5 +-
>  .../patches/glslang-install-static-libs.patch |  61 ----
>  gnu/packages/vulkan.scm                       | 262 ++++++++++++------
>  4 files changed, 181 insertions(+), 148 deletions(-)
>  delete mode 100644 gnu/packages/patches/glslang-install-static-libs.patch
>
>
> base-commit: a223b1e52ba1db89b11a670915e8c9af3c3ac4af

Done starting with ded6c9a692a9a4f5b21e7db9b75c967736bc2b34 in
mesa-updates and in master with
2d5736cc3e869fadd2592cc13a8d332fac63b144.

Except for the last patch, as that can be done separately so I hadn't
looked at it.

I think, since nothing else is using directx-headers, that can just be a
bare origin input (e.g. an input where it is just that origin source)
and used like that. Some minor stylistic stuff (synopsis can be shorter,
change "used to compile"  to just "for", double spaces in description,
maybe long lines? didn't check yet) but otherwise I think is fine.

Thanks for the great work on the vulkan updates!

John